Cannot find module 'npmlog' when trying to install scala plugin for cloud9

nodejs

#1

Hi,

I am trying to install Scala plugin for cloud9 by following this link
https://github.com/msiegenthaler/c9.ide.language.scala

However, when I run the command
c9 install c9.ide.language.scala, I get the following error

cannot find module 'npmlog'

Please help

Thanks in advance
AJ


#2

I have the same issue with any other plugins


#3

I have a couple of reports that my plugins are breaking on this install as well.


#4

Getting same issue when trying to install another plugin (c9.ide.print).


#5

Same thing here… any plugins


#6

Any Update on this? It’s impacting all plugin installs.


#7

Thanks for the followup here. It looks like we might know what changes have caused this. I’ve reported this so we can track it internally and then let you know when things are taken care of. Stay tuned!


#8

What’s the latest on this?


#9

@bradydowling I am still getting a lot of people with issues installing plugins. They keep getting this npmlog error. As far as I can tell it’s not the plugin itself, but still c9’s system isn’t working right.

Can we get an update on this progress? I haven’t seen anything that was announced. Whether fixed or not, or work arounds.

Thanks!


#10

Cant install wakatime plugin, same issue


#11

I’ll add a +1 here, I’ve tried one proposed solution which was to run :

curl -0 -L http://npmjs.org/install.sh | sudo sh

This did not help, the same error message appears trying to install wakatime.


#12

This should be fixed now.


#13

I got this the same issue today.
When I typed npm init to the terminal, the console said

module.js:491
throw err;
^

Error: Cannot find module 'npmlog'
at Function.Module._resolveFilename (module.js:489:15)
at Function.Module._load (module.js:439:25)
at Module.require (module.js:517:17)
at require (internal/module.js:11:18)
at /home/ubuntu/.nvm/versions/node/v8.4.0/lib/node_modules/npm/bin/npm-cli.js:22:13
at Object.<anonymous> (/home/ubuntu/.nvm/versions/node/v8.4.0/lib/node_modules/npm/bin/npm-cli.js:92:3)
at Module._compile (module.js:573:30)
at Object.Module._extensions..js (module.js:584:10)
at Module.load (module.js:507:32)
at tryModuleLoad (module.js:470:12)

Anybody knows a solution to this?


#14

Please advice, I get the same error with any plugin. There was an update available for npm which I installed and the issues seem to be after that.

module.js:491
throw err;
^

Error: Cannot find module 'npmlog’
at Function.Module._resolveFilename (module.js:489:15)
at Function.Module._load (module.js:439:25)
at Module.require (module.js:517:17)
at require (internal/module.js:11:18)
at /home/ubuntu/.nvm/versions/node/v8.4.0/lib/node_modules/npm/bin/npm-cli.js:22:13
at Object. (/home/ubuntu/.nvm/versions/node/v8.4.0/lib/node_modules/npm/bin/npm-cli.js:92:3)
at Module._compile (module.js:573:30)
at Object.Module._extensions…js (module.js:584:10)
at Module.load (module.js:507:32)
at tryModuleLoad (module.js:470:12)


#15

I am having this problem as well after update this morning.

gmwva:~/workspace $ npm
module.js:491
throw err;
^

Error: Cannot find module 'npmlog’
at Function.Module._resolveFilename (module.js:489:15)
at Function.Module._load (module.js:439:25)
at Module.require (module.js:517:17)
at require (internal/module.js:11:18)
at /home/ubuntu/.nvm/versions/node/v8.4.0/lib/node_modules/npm/bin/npm-cli.js:22:13
at Object. (/home/ubuntu/.nvm/versions/node/v8.4.0/lib/node_modules/npm/bin/npm-cli.js:92:3)
at Module._compile (module.js:573:30)
at Object.Module._extensions…js (module.js:584:10)
at Module.load (module.js:507:32)
at tryModuleLoad (module.js:470:12)
gmwva:~/workspace $


#16

I was able to fix my problem by putting in this command:
nvm install 6


#17

I received this error message after updating npm today. Apparently the npmlog module cannot be found. How can I fix this error?

module.js:491
throw err;
^

Error: Cannot find module 'npmlog’
at Function.Module._resolveFilename (module.js:489:15)
at Function.Module._load (module.js:439:25)
at Module.require (module.js:517:17)
at require (internal/module.js:11:18)
at /home/ubuntu/.nvm/versions/node/v8.4.0/lib/node_modules/npm/bin/npm-cli.js:22:13
at Object. (/home/ubuntu/.nvm/versions/node/v8.4.0/lib/node_modules/npm/bin/npm-cli.js:92:3)
at Module._compile (module.js:573:30)
at Object.Module._extensions…js (module.js:584:10)
at Module.load (module.js:507:32)
at tryModuleLoad (module.js:470:12)


#18

After running nvm install 8 followed by npm i -g npm, I’m receiving the very same error. I won’t be updating npm for the time being and reset the workspace back to the preinstalled Node 8 versions.


#19

Thanks for posting this! This got me through the rest of my day, but I ran into the same error on the following day… In my Udemy course this is the solution that has been posted:

nvm install node

npm config delete prefix

Seems to have temporarily permanently fixed the problem :sweat_smile:


#20

Thank Alex! That did the trick. :slight_smile: